Subject: Re: [PATCH 1/3] [WATCHDOG] mpc83xx_wdt: add support for MPC86xx CPUs

From: Anton Vorontsov <[email-masked]>
Date: Tue, 13 May 2008 00:53:03 +0400

On Mon, May 12, 2008 at 02:24:20PM -0500, Kumar Gala wrote:
>
> On May 12, 2008, at 1:52 PM, Anton Vorontsov wrote:
>
>> On MPC86xx the watchdog could be enabled only at power-on-reset, and
>> could not be disabled afterwards. We must ping the watchdog from the
>> kernel until the userspace handles it.
>>
>> MPC83xx CPUs are only differ in a way that watchdog could be disabled
>> once, but after it was enabled via software it becomes just the same
>> as MPC86xx.
>>
>> Thus, to support MPC86xx I added the kernel timer which pings the
>> watchdog until the userspace opens it.
>>
>> Since we implemented the timer, now we're able to implement proper
>> handling for the CONFIG_WATCHDOG_NOWAYOUT case, for MPC83xx and  
>> MPC86xx.
>>
>> Also move the probe code into subsys_initcall, because we want start
>> pinging the watchdog ASAP, and misc devices are available in
>> subsys_initcall.
>>
>> Signed-off-by: Anton Vorontsov <[email-masked]>
>> ---
>> drivers/watchdog/Kconfig       |    4 +-
>> drivers/watchdog/mpc83xx_wdt.c |   63 +++++++++++++++++++++++++++++++ 
>> +++++----
>
> we should rename it to mpc8xxx_wdt.c

I don't see much sense in renaming the files just because the driver
now supports another line of processors... Do you really want the rename?
Please repeat if so.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2